%if 0%{?__isa_bits} == 0
	%if "%{_libdir}" == "/usr/lib64"
		%define __isa_bits 64
	%else
		%define __isa_bits 32
	%endif
%endif

%global shortname srtp

Name: libsrtp
Summary: Open-source implementation of the Secure Real-time Transport Protocol (SRTP)
License: BSD
Version: 1.5.2
Release: 0
Group: System Environment/Libraries
Source0: srtp-%{version}.tgz
#URL: http://srtp.sourceforge.net/srtp.html
Source2: srtp-config-multilib.h
URL: https://github.com/cisco/libsrtp
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Patch0: libsrtp-1.5.2-shared.patch

%description
The libSRTP library is an open-source implementation of the Secure Real-time 
Transport Protocol (SRTP) originally authored by Cisco Systems, Inc. It is 
available under a BSD-style license. 

SRTP is a security profile for RTP that adds confidentiality, message 
authentication, and replay protection to that protocol. It is specified in RFC 
3711.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n srtp
%patch0 -p1 -b .shared

%build
%configure CFLAGS=-fPIC 
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
pushd %{buildroot}%{_libdir}
mv libsrtp.so libsrtp.so.1.0.0
ln -sf libsrtp.so.1.0.0 libsrtp.so
ln -sf libsrtp.so.1.0.0 libsrtp.so.1
popd

# Handle multilib issues with config.h
mv %{buildroot}%{_includedir}/%{shortname}/config.h %{buildroot}%{_includedir}/%{shortname}/config-%{__isa_bits}.h
cp -a %{SOURCE2} %{buildroot}%{_includedir}/%{shortname}/config.h

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README TODO VERSION doc/*.pdf doc/*.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{shortname}/
%{_libdir}/pkgconfig/libsrtp.pc
%{_libdir}/*.so

%changelog
* Thu Oct 15 2015 Alex Villacis Lasso <a_villacis@palosanto.com> 1.5.2-0
- Update to 1.5.2
- Switch to dynamic linking (-libs and -devel). Based on Fedora 22 RPM.

* Wed Dec 18 2013 Alex Villacis Lasso <a_villacis@palosanto.com> 1.4.5-1.20131218gitdf78ccdcc
- Update to 1.4.5 git snapshot b1b801600ba8bdf2465d1750cdffb78df78ccdcc, fixes
  CVE-2013-2139
- Update URL of project source

* Fri Jan  6 2012 Alex Villacis Lasso <a_villacis@palosanto.com> 1.4.4-1
- Fix linking srtp to a shared object 

* Thu Jan  5 2012 Alex Villacis Lasso <a_villacis@palosanto.com> 1.4.4-0
- Update to 1.4.4

* Wed Jun  1 2011 Alex Villacis Lasso <a_villacis@palosanto.com> 1.4.2-0
- Initial packaging for Elastix.



